## com.bbn.openmap.tools.roads
Interface RoadServices

All Known Implementing Classes:
  MultiRoadLayer, VPFRoadLayer

public interface RoadServices

getPathOnRoad interface - any layer that implements this interface can return a route between two points

Method Summary
`java.util.List` `getPathOnRoad(java.awt.Point start, java.awt.Point end, java.util.List segments)`

Method Detail

### getPathOnRoad

    public java.util.List getPathOnRoad(java.awt.Point start,
                                        java.awt.Point end,
                                        java.util.List segments)

  Parameters:
    `start` - point
    `end` - point
    `segments` - is populated by road segments, each segment is a list of points
  Returns:
    a list of points between start and end

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details